This project is read-only.
1
Vote

Fix this error

description

I have been getting this error


Strict Standards: Declaration of FPDF_TPL::Image() should be compatible with FPDF::Image($file, $x = NULL, $y = NULL, $w = 0, $h = 0, $type = '', $link = '') in C:\xampp\htdocs\Pdfmerge\fpdi\fpdf_tpl.php on line 409

Please help

comments

wheelercreek wrote Oct 8, 2013 at 12:06 AM

The arguments need to match exactly between the Image() in fpdf_tpl.php and the Image() in fpdf.php.

In fpdf_tpl.php change line 269 to be:
function Image($file, $x=null, $y=null, $w=0, $h=0, $type='', $link='',$align='', $resize=false, $dpi=300, $palign='', $ismask=false, $imgmask=false, $border=0) {

and in fpdf.php change line 898 to be the same thing. This notice will go away.

wheelercreek wrote Oct 8, 2013 at 12:08 AM

I know the initial request is old, but I just found this class and needed to use it - was getting the same error and worked through it. Hope it helps someone!